package com.heyu.api.data.service.impl.device;
/**
* <p>
* 设备信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.device.DeviceInfoDao;
import com.heyu.api.data.entity.device.DeviceInfoEntity;
import com.heyu.api.data.service.device.DeviceInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class DeviceInfoServiceImpl extends ServiceImpl<DeviceInfoDao, DeviceInfoEntity> implements DeviceInfoService {


    @Autowired
	private DeviceInfoDao deviceInfoDao;



	@Override
	public DeviceInfoEntity selectDeviceInfoById(Long id){
		return deviceInfoDao.selectDeviceInfoById(id);
	}



	@Override
	public Long insertDeviceInfo(DeviceInfoEntity deviceInfo){
		return deviceInfoDao.insertDeviceInfo(deviceInfo);
	}



	@Override
	public Long insertOrUpdateDeviceInfo(DeviceInfoEntity deviceInfo){
		return deviceInfoDao.insertOrUpdateDeviceInfo(deviceInfo);
	}



	@Override
	public int updateDeviceInfoById(DeviceInfoEntity deviceInfo){
		return deviceInfoDao.updateDeviceInfoById(deviceInfo);
	}



	@Override
	public int updateCoverDeviceInfoById(DeviceInfoEntity deviceInfo){
		return deviceInfoDao.updateCoverDeviceInfoById(deviceInfo);
	}



	@Override
	public int deleteDeviceInfoById(Long id){
		return deviceInfoDao.deleteDeviceInfoById(id);
	}



}
